[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| SeedOptions Class Reference Region Segmentation Algorithms |

Options object for generateWatershedSeeds(). More...

`#include <vigra/watersheds.hxx>`

List of all members.

## Public Member Functions
SeedOptions & | extendedMinima ()
SeedOptions & | levelSets ()
SeedOptions & | levelSets (double threshold)
SeedOptions & | minima ()
| SeedOptions ()
| Construct default options object.
SeedOptions & | threshold (double threshold)

## Detailed Description

Options object for generateWatershedSeeds().

Usage:

#include <vigra/watersheds.hxx>
Namespace: vigra

            IImage seeds(boundary_indicator.size());

            // detect all minima in 'boundary_indicator' that are below gray level 22
            generateWatershedSeeds(srcImageRange(boundary_indicator),
                                   destImage(seeds),
                                   SeedOptions().minima().threshold(22.0));

## Constructor & Destructor Documentation

SeedOptions | ( |  | ) |

Construct default options object.

Defaults are: detect minima without thresholding (i.e. all minima).

## Member Function Documentation

SeedOptions& minima | ( |  | ) |

Generate seeds at minima.

Default: true

SeedOptions& extendedMinima | ( |  | ) |

Generate seeds at minima and minimal plateaus.

Default: false

SeedOptions& levelSets | ( |  | ) |

Generate seeds as level sets.

Note that you must also set a threshold to define which level set is to be used.
Default: false

SeedOptions& levelSets | ( | double | threshold | ) |

Generate seeds as level sets at given threshold.

Equivalent to `SeedOptions().levelSet().threshold(threshold)`
Default: false

SeedOptions& threshold | ( | double | threshold | ) |

Set threshold.

The threshold will be used by both the minima and level set variants of seed generation.
Default: no thresholding

The documentation for this class was generated from the following file:

- vigra/watersheds.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)